// Copyright (c) 2023 Tudor Stanciu

import { combineUrls } from "./utils";

export type UrlTemplates = {
  login: string;
  logout: string;
};

const getUrlTemplates = (tuitioUrl: string): UrlTemplates => ({
  login: combineUrls(tuitioUrl, "/account/login?UserName={username}&Password={password}"),
  logout: combineUrls(tuitioUrl, "/account/logout?Token={token}")
});

export { getUrlTemplates };
